### File

`packages/ecl/components/ecl-inpage-navigation/ecl-inpage-navigation-list.directive.ts`

### Description

The parent list component, that contains navigation items links.

### Extends

`ECLBaseDirective`

### Implements

`AfterContentInit` `OnDestroy`

### Metadata

Selector | `ul[eclInpageNavigationList]`

### Index

###### Properties
el hasClass isVisible maxHeight
###### Methods
getCssClasses
###### Inputs
class e2eAttr tabindex
###### HostBindings
class.ecl-inpage-navigation__list class.ecl-inpage-navigation__list--visible style.max-height.px

### Inputs

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

class.ecl-inpage-navigation__list
Type : `boolean`
Default value : `true`

class.ecl-inpage-navigation__list--visible
Type : `boolean`
Default value : `false`
If the dropdown is visible in mobile view.

style.max-height.px
Type : `any`
Default value : `null`

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

el
Type : `unknown`
Default value : `inject(ElementRef)`

hasClass
Type : `unknown`
Default value : `true`
Decorators : `@HostBinding('class.ecl-inpage-navigation__list')`

isVisible
Type : `unknown`
Default value : `false`
Decorators : `@HostBinding('class.ecl-inpage-navigation__list--visible')`
If the dropdown is visible in mobile view.

maxHeight
Type : `null`
Default value : `null`
Decorators : `@HostBinding('style.max-height.px')`

# results matching ""

# No results matching ""